/*
 * Class.java
 *
 * Created on 10. Mrz 2002, 16:53
 */

import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.tree.*;

/**
 *
 * @author  Bill Gates
 * @version 
 */
public class FAQNode extends DefaultMutableTreeNode implements Serializable {
    private Vector myFAQList;
    private String myTitle;
    
    public FAQNode() {
        super();
        myFAQList = new Vector();
    }
    
    public FAQNode(String title) {
        super(title);
        myTitle = title;
        myFAQList = new Vector();
    }
    
    public Vector getFAQList() { return myFAQList; }
    public void setFAQList(Vector faq) { myFAQList = faq; }
    
    public String getTitle() { return myTitle; }
    public void setTitle(String title) {
        myTitle = title;
        setUserObject(title);
    }
    
    public boolean appendFAQ(String author, String eMail, String question,
        String answer) {
        return myFAQList.add(new FAQ(author, eMail, question, answer));
    }
}
