import java.beans.XMLEncoder;
import java.io.*;
import java.util.*;

public class CreateFiles {
    public static void main(String[] args) {
        IOControl ioCtl = new IOControl(args.length == 1 ? args[0] : ".");
        
        // Benutzer
        System.out.println("Benutzerdaten erzeugen in " + ioCtl.getPath() +
            ioCtl.getUsersFile() + "...");
        
        UserTable userTbl = new UserTable();
        userTbl.createUser("Gonzales", "Speedy", "speedy@gonzales.net", "tequilla", "sunrise", true);
        userTbl.createUser("Bunny", "Bugs", "bugs@bunny.com", "orange", "vegetable", false);
        userTbl.createUser("Gates", "Bill", "billgates@microsoft.com", "bill$$", "melinda", false);
        userTbl.createUser("Mustermann", "Brigitte", "brigitte21@gmx.de", "muster01", "blume", false);
        
        ioCtl.writeUsers(userTbl);

        System.out.println("4 Benutzer angelegt...");

        // MoTD
        System.out.println("MoTD-Daten erzeugen in " + ioCtl.getPath() +
            ioCtl.getMoTDFile() + "...");
        
        MoTDTable moTDTbl = new MoTDTable();
        moTDTbl.appendMoTD("Speedy Gonzales", "speedy@gonzales.net", new Date(), "Hello1", "World!");
        moTDTbl.appendMoTD("Brigitte Mustermann", "brigitte21@gmx.de", new Date(), "Hello2", "World!");
        
        ioCtl.writeMoTDs(moTDTbl);

        System.out.println("2 MoTDs angelegt...");
    }
}