<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
    <html>
    <head>
        <title>faq</title>
    </head>
    <body bgcolor="#FFFFFF">
        <div align="right"><img src="images/Unibalken_SoPra_light.gif" /></div>

        <div align="center"><font face="helvetica" size="10pt"><b>Frequently Asked Questions</b></font></div>
        <br />
        
        <xsl:apply-templates />
    </body>
    </html>
</xsl:template>

<xsl:template match="child::object[attribute::class='FAQNode']">
    <h4><xsl:value-of select="child::void[attribute::property='title']/child::string" /></h4>
    <ul>
        <xsl:for-each select="child::void[attribute::method='add']">
            <li><xsl:apply-templates /></li>
        </xsl:for-each>
        <xsl:for-each select="child::void[attribute::property='FAQList']/child::void[attribute::method='add']">
            <li><xsl:apply-templates /></li>
        </xsl:for-each>
    </ul>
</xsl:template>

<xsl:template match="child::object[attribute::class='FAQ']">
    <b><xsl:value-of select="child::void[attribute::property='question']" /></b>
    <br /><br />
    <xsl:value-of select="child::void[attribute::property='answer']" /><br /><br />
<a><xsl:attribute name="href">mailto:<xsl:value-of select="child::void[attribute::property='EMail']" /></xsl:attribute><xsl:value-of select="child::void[attribute::property='author']" /></a>
<br /><br />
</xsl:template>

</xsl:stylesheet>